commit:     73d83f5295aed5b73b03552efac0898462dc3d9e
Author:     Chris Mayo <aklhfex <AT> gmail <DOT> com>
AuthorDate: Tue Jan 28 19:28:41 2025 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Feb 16 16:35:35 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=73d83f52

dev-util/geany-plugins: Fix gcc-15 build failure

Signed-off-by: Chris Mayo <aklhfex <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/40351
Signed-off-by: Sam James <sam <AT> gentoo.org>

 .../files/geany-plugins-2.0-gcc15.patch            |  27 +++++
 dev-util/geany-plugins/geany-plugins-2.0-r2.ebuild | 128 +++++++++++++++++++++
 2 files changed, 155 insertions(+)

diff --git a/dev-util/geany-plugins/files/geany-plugins-2.0-gcc15.patch 
b/dev-util/geany-plugins/files/geany-plugins-2.0-gcc15.patch
new file mode 100644
index 000000000000..d30e496bbf02
--- /dev/null
+++ b/dev-util/geany-plugins/files/geany-plugins-2.0-gcc15.patch
@@ -0,0 +1,27 @@
+# https://github.com/geany/geany-plugins/pull/1389
+--- a/git-changebar/src/gcb-plugin.c
++++ b/git-changebar/src/gcb-plugin.c
+@@ -1410,9 +1410,9 @@ read_setting_boolean (GKeyFile     *kf,
+                       const gchar  *key,
+                       gpointer      value)
+ {
+-  gboolean *bool = value;
++  gboolean *boolean = value;
+   
+-  *bool = utils_get_setting_boolean (kf, group, key, *bool);
++  *boolean = utils_get_setting_boolean (kf, group, key, *boolean);
+ }
+ 
+ static void
+@@ -1421,9 +1421,9 @@ write_setting_boolean (GKeyFile      *kf,
+                        const gchar   *key,
+                        gconstpointer  value)
+ {
+-  const gboolean *bool = value;
++  const gboolean *boolean = value;
+   
+-  g_key_file_set_boolean (kf, group, key, *bool);
++  g_key_file_set_boolean (kf, group, key, *boolean);
+ }
+ 
+ /* loads @filename in @kf and return %FALSE if failed, emitting a warning

diff --git a/dev-util/geany-plugins/geany-plugins-2.0-r2.ebuild 
b/dev-util/geany-plugins/geany-plugins-2.0-r2.ebuild
new file mode 100644
index 000000000000..e92ded0945d8
--- /dev/null
+++ b/dev-util/geany-plugins/geany-plugins-2.0-r2.ebuild
@@ -0,0 +1,128 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+LUA_COMPAT=( lua5-1 )
+
+inherit autotools lua-single
+
+DESCRIPTION="A collection of different plugins for Geany"
+HOMEPAGE="https://plugins.geany.org";
+SRC_URI="https://plugins.geany.org/${PN}/${P}.tar.bz2";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+IUSE="ctags debugger enchant git gpg gtkspell lua markdown nls pretty-printer 
scope webhelper workbench"
+REQUIRED_USE="lua? ( ${LUA_REQUIRED_USE} )"
+
+DEPEND="
+       dev-libs/glib:2
+       >=dev-util/geany-2.0
+       x11-libs/gtk+:3
+       ctags? ( dev-util/ctags )
+       debugger? ( x11-libs/vte:2.91 )
+       enchant? ( app-text/enchant:= )
+       git? ( dev-libs/libgit2:= )
+       gpg? ( app-crypt/gpgme:= )
+       gtkspell? ( app-text/gtkspell:3= )
+       lua? ( ${LUA_DEPS} )
+       markdown? (
+               app-text/discount:=
+               net-libs/webkit-gtk:4.1
+               )
+       pretty-printer? ( dev-libs/libxml2:2 )
+       scope? ( x11-libs/vte:2.91 )
+       webhelper? ( net-libs/webkit-gtk:4.1 )
+       workbench? ( dev-libs/libgit2:= )
+"
+RDEPEND="${DEPEND}
+       scope? ( dev-debug/gdb )
+"
+BDEPEND="virtual/pkgconfig
+       nls? ( sys-devel/gettext )
+"
+
+PATCHES=(
+       "${FILESDIR}/${P}-gcc14.patch"
+       "${FILESDIR}/${P}-gcc15.patch"
+       "${FILESDIR}/${P}-webkit2gtk-4.1.patch"
+)
+
+pkg_setup() {
+       use lua && lua-single_pkg_setup
+}
+
+src_prepare() {
+       default
+       eautoreconf
+}
+
+src_configure() {
+       local myeconfargs=(
+               --disable-cppcheck
+               --disable-extra-c-warnings
+               $(use_enable nls)
+               --enable-utilslib
+               # Plugins
+               --enable-addons
+               --enable-autoclose
+               --enable-automark
+               --enable-codenav
+               --enable-commander
+               --enable-defineformat
+               --enable-geanydoc
+               --enable-geanyextrasel
+               --enable-geanyinsertnum
+               --enable-geanymacro
+               --enable-geanyminiscript
+               --enable-geanynumberedbookmarks
+               --enable-geanyprj
+               --enable-geanyvc $(use_enable gtkspell)
+               --enable-keyrecord
+               --enable-latex
+               --enable-lineoperations
+               --enable-lipsum
+               --enable-overview
+               --enable-pairtaghighlighter
+               --enable-pohelper
+               --enable-projectorganizer
+               --enable-sendmail
+               --enable-shiftcolumn
+               --enable-tableconvert
+               --enable-treebrowser
+               --enable-vimode
+               --enable-xmlsnippets
+               $(use_enable debugger)
+               $(use_enable ctags geanyctags)
+               $(use_enable lua geanylua)
+               $(use_enable gpg geanypg)
+               $(use_enable git gitchangebar)
+               $(use_enable markdown) --disable-peg-markdown # using 
app-text/discount instead
+               $(use_enable pretty-printer)
+               $(use_enable scope)
+               $(use_enable enchant spellcheck)
+               $(use_enable webhelper)
+               $(use_enable workbench)
+               # GeanyGenDoc requires ctpl which isn’t yet in portage
+               --disable-geanygendoc
+               # Require libsoup-2.4 which conflicts with webkit2gtk-4.1
+               --disable-geniuspaste
+               --disable-updatechecker
+       )
+
+       econf "${myeconfargs[@]}"
+}
+
+src_install() {
+       default
+
+       find "${D}" -name '*.la' -delete || die
+
+       # make installs all translations if LINGUAS is empty
+       if [[ -z "${LINGUAS-x}" ]]; then
+               rm -r "${ED}/usr/share/locale/" || die
+       fi
+}

Reply via email to